Bug 145196 - Registered but get Invalid System Credentials Error
Registered but get Invalid System Credentials Error
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-15 00:35 EST by Laura Ramirez
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:09:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laura Ramirez 2005-01-15 00:35:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
What a mess.  There is a bug in Red Hat 3 AS.  When I try to run Add
Applications the mounted CD disappears.

I tried to UPDATE with Up2Date OpenOffice.org  the system gives me an
error (see below)

My sysem is already registered.  If I run up2date --register that
won't fix the problem because my system is already registered.

Funny thing is my system notification notifies me of updates and lets
me install the updates.

Error Message:
    Please run rhn_register (or up2date --register on Red Hat
Enterprise Linux 3 or later)
as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Ran up2date OpenOffice.org
2. Ran up2date --register
3.
    

Actual Results:  ERROR
    Please run rhn_register (or up2date --register on Red Hat
Enterprise Linux 3 or later)
as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

My system is already registered on the RedHat Network,

Expected Results:  I should have been able to install OpenOffice.org

Additional info:
Comment 1 Adrian Likins 2005-01-17 14:00:15 EST
Can you log into rhn.redhat.com and verify that the system
in question still has active entitlements (see what channels
it is subscribed to).
Comment 2 Mikko Angerman 2005-01-18 04:39:33 EST
Hopefully this relates and helps:

Yes, I can log and see that my entitlements are correctly valid until
Sep 05. 

However, in runlevel 5 Up2date Alert Icon in panel freezes to state
"Checking RHN for updates...". When switching to runlevel 3 I see
following error messages:

---
File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 460, in
refresh_handlerself.refresh(force)
File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 577, in
refreshif self.nag_check():
File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 538, in
nag_checkbc = self.model.has_base_channel()
File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_model.py", line 335,
in has_base_channelbase_channel = source.has_base_channel()
File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_rpc.py", line 181,
in has_base_channelraise rhnAppletRPCFault(f.faultCode, f.faultString)
rhn_utils.rhnAppletRPCFault: Server Communication Error -140:
Error Message:
     Your system was not found in the RHN database
Error Class Code: 140
Error Class Info: Unable to look up server
---

Up2date Alert Icon worked fine before last, big (U4) updates. That's
when Up2date itself was updated to v. "up2date-4.2.57-2". Running
Up2date manually works (still) fine though.
Comment 3 RHEL Product and Program Management 2007-10-19 15:09:13 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.